/*
#include "DAQDataFormats/RawRun.h"
#include "DAQDataFormats/DataFormatException.h"
#include <sys/time.h>
#include <cstdio>


using namespace daqdataformats;

//------------------------------------------------------------------------------
// Default constructor
RawRun::RawRun(version_t version, uint32_t size)
{

    bind_sizeofdata_ToSomePredeterminedSize(1);
    reserveInternalBuffer(size);
    defaultConstructorFloatingSize(version);
}

//------------------------------------------------------------------------------
RawRun::RawRun(const RawRun& copy_in){
    copy(copy_in);
}

//------------------------------------------------------------------------------
RawRun::RawRun(void* datablock_buffer, version_t version, uint32_t buffersize){
    reserveInternalBuffer(buffersize);
    RawDAQData::copy(datablock_buffer, version);
}

//------------------------------------------------------------------------------
// Destructor
RawRun::~RawRun() {
    if(_Header)             delete _Header;
    if(_Tail)               delete _Tail;
    if(_ConfigurationBlock) delete _ConfigurationBlock;
    if(_FloatingEvent)      delete _FloatingEvent;
    if(_auxEventHeader)     delete _auxEventHeader;
}

//------------------------------------------------------------------------------
bool RawRun::setFunctionPointers() {

    /// Switch between versions
    switch(_version){
            case -1:
                BIND_STANDARD_METHODS_UNKNOWN_VERSION(RawRun);
                break;
            case 0:
                RawRunV0::setFunctionPointers();
                break;
            default: GENERATE_DATAFORMAT_WRONG_VERSION_EXCEPTION(0); break;
    }// end of case version

            return true;
}

//------------------------------------------------------------------------------
/// Read the NanoSlice version from the buffer
version_t RawRun::figureOutTheVersionStatic(void* buffer){
    return RawRunHeader::figureOutTheVersionStatic(buffer);
}// end of figureOutTheVersion

*/